Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class CayenneRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cayenne.CayenneRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConfigurationException, DeleteDenyException, DomainStoppedException, ExpressionException, FaultFailureException, MissingSessionException, OptimisticLockException, PropertyException, UnresolvablePathException, ValidationException

    public class CayenneRuntimeException

extends java.lang.RuntimeException

A generic unchecked exception that may be thrown by Cayenne framework. All runtime exceptions in Cayenne inherit from this class.

See Also:
  Serialized Form

Constructor Summary
`CayenneRuntimeException()` Creates new CayenneRuntimeException without detail message.
`CayenneRuntimeException(java.lang.String messageFormat, java.lang.Object... messageArgs)` Constructs an exception with the specified message and an optional list of message formatting arguments.
`CayenneRuntimeException(java.lang.String messageFormat, java.lang.Throwable cause, java.lang.Object... messageArgs)` Constructs an exception with the specified message and exception cause and an optional list of message formatting arguments.
`CayenneRuntimeException(java.lang.Throwable cause)` Constructs an `CayenneRuntimeException` that wraps `exception` thrown elsewhere.

Method Summary
`java.lang.String` | `getMessage()` Returns message that includes Cayenne version label and the actual exception message.
`java.lang.String` | `getUnlabeledMessage()` Returns exception message without Cayenne version label.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CayenneRuntimeException

    public CayenneRuntimeException()

  Creates new CayenneRuntimeException without detail message.

### CayenneRuntimeException

    public CayenneRuntimeException(java.lang.String messageFormat,
                                   java.lang.Object... messageArgs)

  Constructs an exception with the specified message and an optional list of message formatting arguments. Message formatting rules follow "String.format(..)" conventions.

### CayenneRuntimeException

    public CayenneRuntimeException(java.lang.Throwable cause)

  Constructs an `CayenneRuntimeException` that wraps `exception` thrown elsewhere.

### CayenneRuntimeException

    public CayenneRuntimeException(java.lang.String messageFormat,
                                   java.lang.Throwable cause,
                                   java.lang.Object... messageArgs)

  Constructs an exception with the specified message and exception cause and an optional list of message formatting arguments. Message formatting rules follow "String.format(..)" conventions.

Method Detail

### getUnlabeledMessage

    public java.lang.String getUnlabeledMessage()

  Returns exception message without Cayenne version label.

  Since:
    1.1

### getMessage

    public java.lang.String getMessage()

  Returns message that includes Cayenne version label and the actual exception message.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.